@import "libs/shared/assets/src/global-style/variable";

:host {
    width: 100%;
}

p {
    margin: 0px !important;
}

.main-model-organization {
    margin: 8px 0px 8px 32px;
    display: flex;
    justify-content: space-between;
    &__left {
        display: flex;
        column-gap: 16px;
        align-items: center;
        &__pointer {
            margin: 0px;
        }
        &__title {
            font-style: normal;
            font-weight: 700;
            font-size: 20px;
            line-height: 24px;
            color: #000000;
            margin: 0px;
        }
    }
    &__right {
        display: flex;
        align-items: center;
        margin-bottom: 8px;
        &__button-default {
            border: 1px solid #a0a3bd;
            color: #6e7191;
            border-radius: 8px;
            display: flex;
            align-items: center;
            padding: 10px 16px 10px 16px;
            font-size: 14px;
            min-height: 40px;
            &:nth-child(2) {
                margin-left: 16px;
            }
        }
        &__button-primary {
            border-radius: 8px;
            display: flex;
            align-items: center;
            padding: 10px 16px 10px 16px;
            margin-right: 16px;
            font-size: 14px;
            background: $primary-button-color;
            margin-left: 16px;
            width: 139px;
            height: 40px;
            justify-content: center;
        }
        &__button-search {
            width: 174px;
            height: 40px;
            background: #e8eaf6;
            border-radius: 8px;
            color: #141ed2;
            border: none;
        }
        &__button-excel {
            background: none;
            border: none;
        }
    }
}

.container-fluid {
    background: $background-main;
    .form {
        background: white;
        padding: 16px 0px 16px 0px;
        border-radius: 16px;
    }
}

.form-row {
    padding: 0px 24px 0px 24px;
    column-gap: 24px;
    // justify-content: space-between;
    &__button {
        display: flex;
        align-items: flex-end;
        justify-content: flex-start;
    }
    &__input {
        width: 100%;
        border-radius: 8px !important;
        min-height: 40px;
        &--fun {
            border: none;
        }
    }

    &__label {
        font-style: normal;
        font-weight: 600;
        font-size: 14px;
        color: $label-color;
        font-family: avertaB, sans-serif;
        line-height: 20px;
        margin: 0px;
    }

    &__left {
        display: flex;
        flex-direction: column;
    }

    &__right--attach {
        display: flex;
        align-items: flex-end;
        height: 100%;
    }

    &__select {
        width: 100%;
        ::ng-deep {
            .ant-select-selector {
                border-radius: 8px !important;
                min-height: 40px;
                display: flex;
                align-items: center;
            }
            .ant-select-arrow {
                display: none;
            }
            .ant-select-selection-search-input {
                height: 100% !important;
            }
        }
    }
}

.form-row-center {
    display: flex;
    justify-content: center;
    margin-top: 18px;
}

.jd-table {
    min-width: 100%;
    &__label {
        font-weight: bold;
        font-size: 14px;
        line-height: 120%;
        background: rgba(232, 234, 246, 1);
    }
    &__name {
        display: flex;
        &--level {
            padding-left: 10%;
        }
    }
    &__action {
        display: flex;
        justify-content: space-around;
        &--button {
            border: none;
        }
    }
}

.title-input {
    display: flex;
    padding-bottom: 10px;
}

.button-back {
    border: 1px solid #141ed2;
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px 16px;
    font-size: 14px;
    min-height: 40px;
    background: $white-color;
    margin-left: 16px;
    color: $primary-button-color;
}

.button-approve {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.template {
    margin-bottom: 24px;
    &__right {
        display: flex;
        align-items: flex-end;
        &--attach {
            display: flex;
            align-items: flex-end;
            height: 100%;
        }
    }
}

.button-primary {
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px 16px 10px 16px;
    font-size: 14px;
    min-height: 40px;
    background: $primary-button-color;
    margin-left: 16px;
}

::ng-deep {
    // #toast-container > .toast-success {
    //     background-image: image('../../../../../assets/images/icon/icon-alert-success.svg');
    // }

    // #toast-container > .toast-success:before {
    //     content: "\f004";
    //     color: crimson;
    // }

    .ant-card-bordered {
        border: none;
        border-radius: 8px;
    }

    .ant-modal-body {
        padding: 0px !important;
    }

    .ant-modal-footer {
        padding: 0px !important;
        display: none;
    }

    .ant-modal-header {
        border: none;
        border-radius: 8px;
    }

    .ant-modal-content {
        border-radius: 8px;
    }

    .ant-modal-confirm .ant-modal-body {
        padding: 24px !important;
    }

    .ant-pagination-item-link {
        border-radius: 8px;
        display: flex !important;
        align-items: center;
        justify-content: center;
    }
    .ant-pagination-item-link-icon {
        margin-right: 14px;
    }

    .ant-pagination-item {
        border-radius: 8px;
    }
    .ant-pagination-item-active {
        border-color: $primary-button-color;
        border-radius: 8px;
        a {
            color: $primary-button-color;
        }
    }

    .nz-table-hide-scrollbar {
        background: $background-main;
    }
}

.pagination {
    display: flex;
    margin-top: 16px;
    justify-content: space-between;
    &__icon {
        display: flex;
    }
    &__table-info {
        display: flex;
        column-gap: 10px;
        align-items: center;
        &--text {
            white-space: nowrap;
            font-style: normal;
            font-weight: 400;
            font-size: 14px;
            line-height: 150%;
            color: #4e4b66;
        }
    }
}

.title-modal {
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    text-align: center;
    color: #14142b;
}

.wrap-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 200px !important;
}

.job-search {
    max-height: 300px;
    overflow-y: auto;
    ::ng-deep {
        .ant-dropdown-menu {
            box-shadow: unset;
        }
    }
}
